Subject: [alpine-aports] [PATCH 1/2] testing/sdl_net: new aport

From: Bobby Bingham <[email-masked]>
Date: Sat, 5 Aug 2017 17:03:16 -0500

Networking add-on library for SDL
---
 testing/sdl_net/APKBUILD | 42 ++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 42 insertions(+)
 create mode 100644 testing/sdl_net/APKBUILD

diff --git a/testing/sdl_net/APKBUILD b/testing/sdl_net/APKBUILD
new file mode 100644
index 0000000000..2a0fb40aff
--- /dev/null
+++ b/testing/sdl_net/APKBUILD
@@ -0,0 +1,42 @@
+# Contributor: Bobby Bingham <[email-masked]>
+# Maintainer: Bobby Bingham <[email-masked]>
+pkgname=sdl_net
+pkgver=1.2.8
+pkgrel=0
+pkgdesc="Networking add-on library for SDL"
+url="http://www.libsdl.org/projects/SDL_net/"
+arch="all"
+license="zlib"
+depends=
+makedepends="sdl-dev"
+install=
+subpackages="$pkgname-dev"
+source="http://www.libsdl.org/projects/SDL_net/release/SDL_net-${pkgver}.tar.gz"
+options="!check"
+
+_builddir="$srcdir"/SDL_net-$pkgver
+
+prepare() {
+	cd "$_builddir"
+	update_config_sub || return 1
+}
+
+build() {
+	cd "$_builddir"
+	./configure \
+		--build=$CBUILD \
+		--host=$CHOST \
+		--prefix=/usr \
+		--sysconfdir=/etc \
+		--mandir=/usr/share/man \
+		--infodir=/usr/share/info \
+		|| return 1
+	make || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="$pkgdir" install || return 1
+}
+
+sha512sums="2766ca55343127c619958ab3a3ae3052a27a676839f10a158f7dfc071b8db38c2f1fc853e8add32b9fef94ab07eaa986f46a68e264e8087b57c990af30ea9a0b  SDL_net-1.2.8.tar.gz"
-- 
2.13.3

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---

---

From: Bobby Bingham <[email-masked]>
Date: Sat, 5 Aug 2017 17:03:17 -0500

This is required for dosbox to emulate IPX networking for games.
---
 unmaintained/dosbox/APKBUILD | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/unmaintained/dosbox/APKBUILD b/unmaintained/dosbox/APKBUILD
index dd986a51d2..c97b410633 100644
--- a/unmaintained/dosbox/APKBUILD
+++ b/unmaintained/dosbox/APKBUILD
@@ -1,13 +1,13 @@
 # Maintainer: Natanael Copa <[email-masked]>
 pkgname=dosbox
 pkgver=0.74
-pkgrel=1
+pkgrel=2
 pkgdesc="x86/DOS emulator with sound and graphics"
 url="http://dosbox.com"
 arch="all"
 license="GPLv2+"
-depends="hicolor-icon-theme"
-depends_dev="libpng-dev sdl-dev alsa-lib-dev glu-dev"
+depends="hicolor-icon-theme sdl_net"
+depends_dev="libpng-dev sdl-dev alsa-lib-dev glu-dev sdl_net-dev"
 makedepends="$depends_dev"
 install=""
 subpackages="$pkgname-doc"
-- 
2.13.3

---

---

From: Carlo Landmeter <[email-masked]>
Date: Mon, 10 Dec 2018 14:09:46 +0100

Hi,

We do not accept patches to unmaintained aports.

There is also work on this on github:
https://github.com/alpinelinux/aports/pull/697

-carlo